PHP Manual
Prev |  | Next

# OCI-Lob->write

(no version information, might be only in CVS)

OCI-Lob->write -- Writes data to the large object

## Description

class OCI-Lob {
int write ( string data [, int length] )
}

Writes data from the parameter `data` into the current position of LOB's internal pointer.

## Parameters

`data`

  The data to write in the LOB.

`length`

  If this parameter is given, writing will stop after `length` bytes have been written or the end of `data` is reached, whichever comes first.

## Return Values

Returns the number of bytes written or `FALSE` in case of error.

## See Also

OCI-Lob->read

Prev | Home | Next
OCI-Lob->truncate | Up | OCI-Lob->writeTemporary